Retrieve full vehicle details by its 12-digit vehicle ID. Returns manufacturer, model, battery capacity, and charging power information.
curl --request GET \
--url https://staging.api.fryte.xyz/vehicles/info/{vehicle_id} \
--header 'Authorization: Bearer <token>'[
{
"vehicle_id": "010160700001",
"manufacturer": "Daimler",
"model": "eActros",
"battery_capacity_kwh": 600,
"charging_power_kw": 700,
"mcs_charging_power_kw": null
}
]Documentation Index
Fetch the complete documentation index at: https://docs.fryte.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The 12-digit vehicle identifier.
Successful Response
The 12-digit vehicle identifier.
Vehicle manufacturer name.
Vehicle model name.
Usable battery capacity in kilowatt-hours.
Peak CCS charging power in kilowatts.
MCS charging power in kilowatts, if supported.
curl --request GET \
--url https://staging.api.fryte.xyz/vehicles/info/{vehicle_id} \
--header 'Authorization: Bearer <token>'[
{
"vehicle_id": "010160700001",
"manufacturer": "Daimler",
"model": "eActros",
"battery_capacity_kwh": 600,
"charging_power_kw": 700,
"mcs_charging_power_kw": null
}
]